pkgPolicy Class Reference
Inheritance diagram for pkgPolicy:
[legend]
Collaboration diagram for pkgPolicy:
[legend]

## Classes

struct | Pin
struct | PkgPin
struct | Private

## Public Member Functions

void | CreatePin (pkgVersionMatch::MatchType Type, std::string Pkg, std::string Data, signed short Priority)
pkgCache::VerIterator | GetCandidateVer (pkgCache::PkgIterator const &Pkg) override
signed short | GetPriority (pkgCache::VerIterator const &Ver, bool ConsiderFiles=true) override
signed short | GetPriority (pkgCache::PkgFileIterator const &File) override
void | SetPriority (pkgCache::VerIterator const &Ver, signed short Priority)
void | SetPriority (pkgCache::PkgFileIterator const &File, signed short Priority)
bool | InitDefaults ()
| pkgPolicy (pkgCache *Owner)
Public Member Functions inherited from pkgDepCache::Policy
virtual bool | IsImportantDep (DepIterator const &Dep) const
virtual signed short | GetPriority (PkgIterator const &Pkg)

## Protected Attributes

std::unique_ptr< Pin[]> | SrcVerPins
std::unique_ptr< Pin[]> | VerPins
std::unique_ptr< signed short[]> | PFPriority
std::vector< Pin > | Defaults
std::vector< PkgPin > | Unmatched
pkgCache * | Cache
bool | StatusOverride

## Member Function Documentation

## GetCandidateVer()

pkgCache::VerIterator GetCandidateVer | ( | pkgCache::PkgIterator const & | Pkg | ) |

override virtual

Reimplemented from pkgDepCache::Policy.

## GetPriority() [1/2]

APT_PURE signed short GetPriority | ( | pkgCache::PkgFileIterator const & | File | ) |

override virtual

Reimplemented from pkgDepCache::Policy.

## GetPriority() [2/2]

APT_PURE signed short GetPriority | ( | pkgCache::VerIterator const & | Ver,
|  | bool | ConsiderFiles = true )

override virtual

Reimplemented from pkgDepCache::Policy.

The documentation for this class was generated from the following files:

- apt-pkg/policy.h
- apt-pkg/policy.cc